curl-1.3.8: Haskell binding to libcurl

Copyright | (c) 2007-2009 Galois Inc
License | BSD3
Maintainer | Sigbjorn Finne <sof@galois.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe-Inferred
Language | Haskell98

Network.Curl.Info

Description

Accessing the properties of a curl handle's current state/request.

# Documentation

data Info Source #

Constructors

EffectiveUrl |
ResponseCode |
TotalTime |
NameLookupTime |
ConnectTime |
PreTransferTime |
SizeUpload |
SizeDownload |
SpeedDownload |
SpeedUpload |
HeaderSize |
RequestSize |
SslVerifyResult |
Filetime |
ContentLengthDownload |
ContentLengthUpload |
StartTransferTime |
ContentType |
RedirectTime |
RedirectCount |
Private |
HttpConnectCode |
HttpAuthAvail |
ProxyAuthAvail |
OSErrno |
NumConnects |
SslEngines |
CookieList |
LastSocket |
FtpEntryPath |

#### Instances

Instances details

Bounded Info Source # |
Instance details Defined in Network.Curl.Info Methods minBound :: Info Source # maxBound :: Info Source #
Enum Info Source # |
Instance details Defined in Network.Curl.Info Methods succ :: Info -> Info Source # pred :: Info -> Info Source # toEnum :: Int -> Info Source # fromEnum :: Info -> Int Source # enumFrom :: Info -> [Info] Source # enumFromThen :: Info -> Info -> [Info] Source # enumFromTo :: Info -> Info -> [Info] Source # enumFromThenTo :: Info -> Info -> Info -> [Info] Source #
Show Info Source # |
Instance details Defined in Network.Curl.Info Methods showsPrec :: Int -> Info -> ShowS Source # show :: Info -> String Source # showList :: [Info] -> ShowS Source #

data InfoValue Source #

Constructors

IString String |
ILong Long |
IDouble Double |
IList [String] |

#### Instances

Instances details

Show InfoValue Source # |
Instance details Defined in Network.Curl.Info Methods showsPrec :: Int -> InfoValue -> ShowS Source # show :: InfoValue -> String Source # showList :: [InfoValue] -> ShowS Source #

getInfo :: Curl -> Info -> IO InfoValue Source #